function val = eta_doubleprime(problem,z)
% This file is part of the OPTPDE problem collection
%                 http://www.optpde.net
% It is provided as is, without any warranty, under the 
%
% Creative Commons Attribution-NonCommercial ShareAlike 4.0 International
%
%         http://creativecommons.org/licenses/by-nc-sa/4.0/
%
% Please give proper credits when using this file by referencing the 
% collection. For this purpose detailed bibliography data is 
% available at the collections website 
%                  
%                 http://www.optpde.net
%
% This file contains data for the benchmark problem 
%                      convdist1
% from  2022-04-01 



% remember the size of the input and resize it
[m,n] = size(z);
z = z(:)';

% evaluate the function
val = - (1/problem.epsilon^2) * exp((z-1)/problem.epsilon) ./ (1-exp(-1/problem.epsilon));

% reshape the output
val = reshape(val,m,n);

