function val = yd(problem,x1,x2)
% This file is part of the OPTPDE problem collection
%                 http://www.optpde.net
% It is provided as is, without any warranty, under the 
%
% Creative Commons Attribution-NonCommercial ShareAlike 4.0 International
%
%         http://creativecommons.org/licenses/by-nc-sa/4.0/
%
% Please give proper credits when using this file by referencing the 
% collection. For this purpose detailed bibliography data is 
% available at the collections website 
%                  
%                 http://www.optpde.net
%
% This file contains data for the benchmark problem 
%                      convdist1
% from  2022-04-01 



% remember the size of the input and resize it
[m,n] = size(x1);
x1 = x1(:)';
x2 = x2(:)';

% evaluate the function
val = - problem.epsilon * (xi_doubleprime(problem,x1) .* xi(problem,x2) + xi(problem,x1) .* xi_doubleprime(problem,x2));
val = val - problem.c' * [xi_prime(problem,x1) .* xi(problem,x2); xi(problem,x1) .* xi_prime(problem,x2)];
val = val + eta(problem,x1) .* eta(problem,x2);

% reshape the output
val = reshape(val,m,n);

